1. Docs
  2. API Reference
  3. OAuth hosted login: WebAuthn authentication options

OAuth hosted login: WebAuthn authentication options

POST/oauth/mfa/webauthn/options

Step 1 of the hosted WebAuthn MFA factor: returns the assertion options (as raw JSON for the browser's navigator.credentials.get()) for the active challenge_token. Responds with 400 and { error } when the challenge is invalid or expired. Throttled to 10 requests per minute.

Request body

application/json

challenge_tokenstring Required

Responses

200
Request
curl -X POST "https://auth.canopy-io.com/oauth/mfa/webauthn/options" \
  -H "Content-Type: application/json" \
  -d '{
    "challenge_token": "string"
  }'
Response
HTTP/1.1 200

(empty body)
Related endpoints Was this page helpful?

Tell us how we can improve this guide.